function [image]=imread(filename)
	//File extension reading
	extension=part(filename,[length(filename)-2,length(filename)-1,length(filename)]);

	if ((grep(extension,'pgm')<>[]) | (grep(extension,'ppm')<>[]) | (grep(extension,'tif')<>[]) | (grep(extension,'dcm')<>[]) | (grep(extension,'png')<>[]) | (grep(extension,'jpg')<>[]) | (grep(extension,'bmp')<>[]) | (grep(extension,'gif')<>[]) | (grep(extension,'tga')<>[])) then

		[colour reddata greendata bluedata]=image_read(filename);

		if colour == 0 then
			image  = reddata;
		else
			//Matrix concatenation
			image=[reddata greendata bluedata];
			image_size=size(image);
			//Creation of a 3D matrix
			image=matrix(image,image_size(1),image_size(2)/3,3);
		end;

	else
		disp('Filetype not supported !');
		image='err';
	end

endfunction
