function [image16b]=im16b(image)
	mode(-1);

	mat_type=type(image);

	// Matrix = grey level image
	if mat_type==1 then
		minimum=min(image);
		image16b=image;

		image16b=image16b-minimum; // => Minimum value is now 0
		maximum=max(image16b);

		if maximum<>0 then
			coef=65535/maximum;
			image16b=int(image16b*coef);
		else
			image16b=int(image16b);
		end

	// Hypermatrix = color image
	elseif mat_type==17 then

		// First, we have to test image to know if it comes from a file
		// max of each plan <65536
		// integer values
		fromfile=0;
		if (max(image(:,:,1))<65536) & (max(image(:,:,2))<65536) & (max(image(:,:,3))<65536) then
			if image(:,:,1)==int(image(:,:,1)) then
				if image(:,:,2)==int(image(:,:,2)) then
					if image(:,:,3)==int(image(:,:,3)) then
						fromfile=1;
						image16b=image;
					end
				end
			end
		end
		image16b=image;
		if fromfile==0 then
			minimum=min(min(image(:,:,1)),min(image(:,:,2)),max(image(:,:,3)));

			image16b=image16b-minimum;
			maximum=max(max(image16b(:,:,1)),max(image16b(:,:,2)),max(image16b(:,:,3)));

			if maximum<>0 then
				coef=65535/maximum;
				image16b=int(image16b*coef);
			else
				image16b=int(image16b);
			end
		end

	// Others types
	else
		disp('This matrix is not a double matrix!');
		image16b='err';
		return;
	end

endfunction
