function []=imdcmheader(filename,output_file)
	mode(-1);

	//File extension reading
	extension=part(filename,[length(filename)-2,length(filename)-1,length(filename)]);
	if extension<>'dcm' then
		disp('File '+string(parameters(i))+' is not a DICOM file!');
		return;
	end

	[tmp,err]=fileinfo(filename);
	if err==0 then
		[tmp,err]=fileinfo(output_file);
		choice='yes';
		if err==0 then
			choice=input('File '+output_file+' already exist, overwrite it? (default = yes)','s');
		end;
		if choice=='yes' then
			dcmheader(filename,output_file);
		end
	else
		disp('File '+string(filename)+' doesn t exist!');
		return;
	end
endfunction
