function [prototype] =  imkohonentrain(learningdata, classnb, iterationnb)

	getf(MACROS+'verifyarguments.sci')

	// Read number of arguments
	[lhs, rhs] = argn(0)

	msg = ''

	// Verify number of arguments
	if rhs < 2
		error('Use : imkohonentrain(learningdata, classnb [, iterationnb]])')
	end

	[dim, msg] = verifyld(learningdata)
	if msg <> ''
		error(msg)
	end

	msg = verifync(classnb)
	if msg <> ''
		error(msg)
	end

	if rhs == 2
		prototype = kohonen_train(dim, learningdata, classnb, 1)

	else
		msg = verifyinb(iterationnb)
		if msg <> ''
			error(msg)
		end

		prototype = kohonen_train(dim, learningdata, classnb, iterationnb)
	end

endfunction


