function [rprofile,gprofile,bprofile]=improfile(image)
	mode(-1);

	mat_type=type(image);

	// Grey level image
	if mat_type==1 then
		rprofile=improfilegreylevel(image);
		gprofile='err';
		bprofile='err';
		x=0:1:size(rprofile,'*')-1;
		plot2d(x,rprofile,style=addcolor([0 0 0]));
		
	elseif mat_type==17 then
		[rprofile gprofile bprofile]=improfilergb(image);
		x=0:1:size(rprofile,'*')-1;
		plot2d(x,rprofile,style=addcolor([1 0 0]));
		plot2d(x,gprofile,style=addcolor([0 1 0]));
		plot2d(x,bprofile,style=addcolor([0 0 1]));
	else
		rprofile='err';
		gprofile='err';
		bprofile='err';
		disp('Image format unknown.');
	end
endfunction
