function [closed_image]=imclosehole(image)
	mode(-1);

	// Verify if image is a binary one
	maximum=max(image);
	minimum=min(image);
	if (minimum<>0) | (maximum<>1) then
		disp('Image must be a binary image [0,1]!');
		closed_image='err';
		return;
	end
	if max(abs(image-int(image)))<>0 then
		disp('Image should be an integer matrix!');
		closed_image='err';
		return;
	end

	mat_type=type(image);

	if mat_type==1 then
		[closed_image]=1-image_close_hole(image(:,:));
	else
		disp('Image should have only two dimensions.')
		closed_image='err';
	end

endfunction
