function [rprofile,gprofile,bprofile]=improfilergb(image)
	mode(-1);
	
	image_size=size(image);
	width=image_size(1);
	height=image_size(2);
	
	xsel=[];
	ysel=[];
	choice=2;

	while choice==2

		//Display
		imshowrgb(image,0);

		xselect(); // To draw on current window

		[button,x_beg,y]=xclick();

		while ( (x_beg<0) | (y>height) | (y<=0) | (x_beg>=width)  | (button<>3))
			[button,x_beg,y]=xclick()
		end

		y_beg=y

		if x_beg<1 then x_beg=1; end;
		if y_beg<1 then y_beg=1; end;

		// displaying a crosshair
		 if image(x_beg,y_beg,1)<128 then rcolor_offset = 1 - (image(x_beg,y_beg,1)/(2*255));
		 else rcolor_offset = 0; end;
		 if image(x_beg,y_beg,2)<128 then gcolor_offset = 1 - (image(x_beg,y_beg,2)/(2*255));
		 else gcolor_offset = 0; end;
		 xset('color',addcolor([rcolor_offset gcolor_offset 1]));
		 xpoly([(x_beg-2) (x_beg+2)], [(y_beg) (y_beg)], 'lines',0);
		 xpoly([x_beg x_beg], [(y_beg-2) (y_beg+2)], 'lines',0);
		 xset('wshow');

		[button,x_end,y]=xclick()

		while ( (x_end<0) | (y>height) | (y<=0) | (x_end>=width)  | (button<>3))
			[button,x_end,y]=xclick()
		end

		y_end=ceil(y);
		x_end=ceil(x_end);
		
		xset("thickness",1);
		
		xset('color',addcolor([0 0 0]));
		xpoly([x_beg+1 x_end+1], [y_beg+1 y_end+1], 'lines', 0);
		xpoly([x_beg-1 x_end-1], [y_beg-1 y_end-1], 'lines', 0);
		xset('color',addcolor([1 1 1]));
		xpoly([x_beg x_end], [y_beg y_end], 'lines', 0);
		xset('wshow');
				
		// displaying several segments in colours which depend on the
		// picture colour below them

		//if x_end-x_beg == 0 then 
		//	xset('color',addcolor([0 0 1]));
		//	xpoly([x_beg x_end], [y_beg y_end], 'lines',0);	 
		//else
		//	a = (y_end-y_beg)/(x_end-x_beg);
		//	b = y_end - (a * x_end);

		//	step = (x_end - x_beg)/10;
		//	prev_x = x_beg; prev_y = y_beg;
		//	for x=x_beg+step:step:x_end,
		//		if x<1 then x=1; end;
		//		if x>width then x=width; end;
			
		//		y = (a * x) + b;
				
		//		if y<1 then y=1; end;
		//		if y>height then y=height; end;	
				
		  //  		if image(x,y,1)<128 then rcolor_offset = 1 - (image(x,y,1)/(2*255));
		    //		else rcolor_offset = 0; end;
		    //		if image(x,y,2)<128 then gcolor_offset = 1 - (image(x,y,2)/(2*255));
		    //		else gcolor_offset = 0; end;
		    		
		    //		xset('color',addcolor([rcolor_offset gcolor_offset 1]));
		    //		xpoly([prev_x x], [prev_y y], 'lines',0);	    
		    //		prev_x = x;
		    //		prev_y = y;
		//	end;
		//end;

		xsel=[x_beg;x_end];
		ysel=[height-y_beg;height-y_end];

		choice=x_message('Validate profile ?',['Ok','Cancel']);

		xdel();

	end

	//Call the profile processing function
	[rprofile gprofile bprofile]=computergbprofile(image(:,:,1),image(:,:,2),image(:,:,3),xsel,ysel)

endfunction
