function [greyprofile]=improfilegreylevel(image)
	mode(-1);
	
	image_size=size(image);
	width=image_size(1);
	height=image_size(2);
	
	xsel=[];
	ysel=[];
	choice=2;

	while choice==2

		//Display
		imshowgreylevel(image,0);
		
		xselect(); // To draw on current window
		[button,x_beg,y]=xclick();

		while ( (x_beg<0) | (y>height) | (y<=0) | (x_beg>=width)  | (button<>3))
			[button,x_beg,y]=xclick()
		end
		
		x_beg=ceil(x_beg);
		y_beg=ceil(y);
		
		// displaying a crosshair
		if x_beg<1 then x_beg=1; end;
		if y_beg<1 then y_beg=1; end;
		coul = image(x_beg,ceil(y_beg))/255;
		xset('color',addcolor([1 0 1-coul]));
		xpoly([(x_beg-2) (x_beg+2)], [y_beg y_beg], 'lines',0);
		xpoly([x_beg x_beg], [(y_beg-2) (y_beg+2)], 'lines',0);
		xset('wshow');
		
		[button,x_end,y]=xclick();

		while ( (x_end<0) | (y>height) | (y<=0) | (x_end>=width)  | (button<>3))
			[button,x_end,y]=xclick()
		end

		x_end=ceil(x_end); // ]a-1, a] : pixel a
		y_end=ceil(y);

		xset("thickness",1);
		
		xset('color',addcolor([0 0 0]));
		xpoly([x_beg+1 x_end+1], [y_beg+1 y_end+1], 'lines', 0);
		xpoly([x_beg-1 x_end-1], [y_beg-1 y_end-1], 'lines', 0);
		xset('color',addcolor([1 1 1]));
		xpoly([x_beg x_end], [y_beg y_end], 'lines', 0);
		xset('wshow');

		// drawing a set of segments which colours depend on the picture below them
		// (especially inefficient)
		
		//xset("thickness",2);
		
		//if x_end-x_beg == 0 then 
		//	xset('color',addcolor([1 0 0]));
		//	xpoly([x_beg x_end], [y_beg y_end], 'lines',0);	 
		//else
			// equation of the line
		//	a = (y_end-y_beg)/(x_end-x_beg);
		//	b = y_end - (a * x_end);

		//	step = (x_end - x_beg)/6;
		//	prev_x = x_beg;
		//	prev_y = y_beg;
		//	for x=x_beg+step:step:x_end,
		//		if x<1 then x=1; end;
		//		if x>width then x=width; end;
				
		//		y = (a * x) + b;
				
		//		if y<1 then y=1; end;
		//		if y>height then y=height; end;	
				
		//		coul = image(x,y)/255;
		//		xset('color',addcolor([1 0 1-coul]));
		//		xpoly([prev_x x], [prev_y y], 'lines',0);	    
		//		prev_x = x;
		//		prev_y = y;
		//	end 
		//end
		
		xsel=[x_beg;x_end];
		ysel=[height-y_beg;height-y_end];

		choice=x_message('Validate profile ?',['Ok','Cancel']);

		xdel(); // Close the window

	end

	//Computes the profile
	greyprofile=computegreylevelprofile(image(:,:),xsel,ysel);

endfunction
