function []=imwrite_imlab(filename,image)
	mode(-1);

	image_saved=im256(image);

	mat_type=type(image_saved);

	image_size=size(image);

	// Try to open the file to see if it exists
	[info, err]=fileinfo(filename);
	choice='yes';
	if err==0 then
		choice=input('File '+filename+' already exist, overwrite it? (default = yes)','s');
	end;

	if choice<>'no' then
		// A matrix = grey level image
		if mat_type==1 then
			write_pgm(filename, image_saved);
		//An hypermatrix = color image
		elseif mat_type==17 & image_size(3)==3 then
			write_ppm(filename, image_saved(:,:,1), image_saved(:,:,2), image_saved(:,:,3));
		else
			disp('This hypermatrix is not a color image!');
		end
	end

endfunction
